Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Sub::Name
  • Time::y2038

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: perl5i::1::CODE, perl5i::2::Signatures

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: perl5i::1::CODE, perl5i::2::Signatures, perl5i::2::equal, perl5i::latest

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Test::Most
  • of

Modules

Name Abstract Version View
perl5i Fix as much of Perl 5 as possible in one pragma v2.13.1 metacpan
perl5i::0 v2.13.1 metacpan
perl5i::0::ARRAY metacpan
perl5i::0::DEFAULT metacpan
perl5i::0::DateTime metacpan
perl5i::0::DateTime::Format::CTime metacpan
perl5i::0::DateTime::time metacpan
perl5i::0::DateTime::y2038 metacpan
perl5i::0::HASH metacpan
perl5i::0::Meta metacpan
perl5i::0::Meta::Class metacpan
perl5i::0::Meta::Instance metacpan
perl5i::0::SCALAR metacpan
perl5i::1 v2.13.1 metacpan
perl5i::1::ARRAY metacpan
perl5i::1::CODE metacpan
perl5i::1::DateTime metacpan
perl5i::1::DateTime::Format::CTime metacpan
perl5i::1::DateTime::time metacpan
perl5i::1::DateTime::y2038 metacpan
perl5i::1::HASH metacpan
perl5i::1::Meta metacpan
perl5i::1::Meta::Class metacpan
perl5i::1::Meta::Instance metacpan
perl5i::1::SCALAR metacpan
perl5i::1::UNIVERSAL metacpan
perl5i::1::autobox metacpan
perl5i::2 v2.13.1 metacpan
perl5i::2::ARRAY metacpan
perl5i::2::CODE metacpan
perl5i::2::DateTime metacpan
perl5i::2::DateTime::Format::CTime metacpan
perl5i::2::DateTime::time metacpan
perl5i::2::DateTime::y2038 metacpan
perl5i::2::HASH metacpan
perl5i::2::Meta metacpan
perl5i::2::Meta::Class metacpan
perl5i::2::Meta::Instance metacpan
perl5i::2::RequireMessage metacpan
perl5i::2::SCALAR metacpan
perl5i::2::Signature metacpan
perl5i::2::Signature::Function::None metacpan
perl5i::2::Signature::Method::None metacpan
perl5i::2::Signature::None metacpan
perl5i::2::Signature::Real metacpan
perl5i::2::Signatures metacpan
perl5i::2::UNIVERSAL metacpan
perl5i::2::autobox metacpan
perl5i::2::equal metacpan
perl5i::VERSION v2.13.1 metacpan
perl5i::cmd metacpan
perl5i::latest Use the latest version of perl5i v2.13.1 metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
README metacpan